Subject: Re: [PATCH net-next v3] bnxt_en: New Broadcom ethernet driver.

From: "John W. Linville" <[email-masked]>
Date: Tue, 20 Oct 2015 16:13:26 -0400

On Sat, Oct 17, 2015 at 12:21:44AM -0400, Michael Chan wrote:
> Broadcom ethernet driver for the new family of NetXtreme-C/E
> ethernet devices.
> 
> v3:
>   - Fixed 2 more sparse warnings.
>   - Removed some unused structures in .h files.
> 
> v2:
>   - Fixed all kbuild test robot reported warnings.
>   - Fixed many of the checkpatch.pl errors and warnings.
>   - Fixed the Kconfig description.
> 
> Acked-by: Eddie Wai <[email-masked]>
> Acked-by: Jeffrey Huang <[email-masked]>
> Signed-off-by: Prashant Sreedharan <[email-masked]>
> Signed-off-by: Michael Chan <[email-masked]>
> ---
>  drivers/net/ethernet/broadcom/Kconfig              |   19 +
>  drivers/net/ethernet/broadcom/Makefile             |    1 +
>  drivers/net/ethernet/broadcom/bnxt/Makefile        |    4 +
>  drivers/net/ethernet/broadcom/bnxt/bnxt.c          | 5821 ++++++++++++++++++++
>  drivers/net/ethernet/broadcom/bnxt/bnxt.h          |  994 ++++
>  drivers/net/ethernet/broadcom/bnxt/bnxt_ethtool.c  | 1150 ++++
>  drivers/net/ethernet/broadcom/bnxt/bnxt_ethtool.h  |   18 +
>  drivers/net/ethernet/broadcom/bnxt/bnxt_fw_hdr.h   |  104 +
>  drivers/net/ethernet/broadcom/bnxt/bnxt_hsi.h      | 4046 ++++++++++++++
>  drivers/net/ethernet/broadcom/bnxt/bnxt_nvm_defs.h |   59 +
>  drivers/net/ethernet/broadcom/bnxt/bnxt_sriov.c    |  787 +++
>  drivers/net/ethernet/broadcom/bnxt/bnxt_sriov.h    |   22 +
>  12 files changed, 13025 insertions(+)
>  create mode 100644 drivers/net/ethernet/broadcom/bnxt/Makefile
>  create mode 100644 drivers/net/ethernet/broadcom/bnxt/bnxt.c
>  create mode 100644 drivers/net/ethernet/broadcom/bnxt/bnxt.h
>  create mode 100644 drivers/net/ethernet/broadcom/bnxt/bnxt_ethtool.c
>  create mode 100644 drivers/net/ethernet/broadcom/bnxt/bnxt_ethtool.h
>  create mode 100644 drivers/net/ethernet/broadcom/bnxt/bnxt_fw_hdr.h
>  create mode 100644 drivers/net/ethernet/broadcom/bnxt/bnxt_hsi.h
>  create mode 100644 drivers/net/ethernet/broadcom/bnxt/bnxt_nvm_defs.h
>  create mode 100644 drivers/net/ethernet/broadcom/bnxt/bnxt_sriov.c
>  create mode 100644 drivers/net/ethernet/broadcom/bnxt/bnxt_sriov.h

Well, it's a big one!  But overall I'd say it looks pretty good...

I agree with Stephen's style comments, and there are a couple of
strings that are crazy long -- not just a source readability problem,
but things that would be hard to digest in a log as well.  If you
address those then I'll be happy to ACK it.

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.